﻿Type=Service
Version=3.2
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: True
#End Region

'Service module
Sub Process_Globals
    
	Dim sNotif As Notification
	Dim PE As PhoneEvents
	Dim PhoneId As PhoneId
	Dim AC As AnswerCall
	Dim Timer1 As Timer
	
End Sub
Sub Service_Create
	
	PE.InitializeWithPhoneState("PE",PhoneId)
	AC.Initialize("AnswerCall")

	sNotif.Initialize
	sNotif.Icon = "icon"
    sNotif.SetInfo("Auto Answer Call", "Brief Description",Main)
    sNotif.Sound = False
    sNotif.Notify(1)    
    Service.StartForeground(1,sNotif)
	
End Sub

Sub Service_Start	

	ToastMessageShow("HangUp service started ...",False)
	
End Sub

Sub Service_Destroy

    ToastMessageShow("HangUp service Stoped ...",False)
	
End Sub

Sub PE_PhoneStateChanged (State As String, IncomingNumber As String, Intent As Intent)
        
    Select State        
		'Case "IDLE" ' Idle state.
		
        Case "RINGING" ' Ringing state.
						
			'only auto answer this number  ..... rem to answer all calls			
			'If IncomingNumber = "555123456789"  Then
				
				AC.AnswerPhone
     								
				'suggested to pause prior to hiding dialer again .. 
   				Timer1.Initialize("Timer1", 5000) ' 1000 = 1 second
   				Timer1.Enabled = True
	 
	 
	  		'End If
			
    End Select

End Sub

Sub Timer1_Tick	
	
	'hangup phone and disable timer
	KillCall

	Timer1.Enabled = False
	
	
End Sub

Sub KillCall

    'this Kills the call if needed
	
	Dim r As Reflector
    r.Target = r.GetContext
    Dim TelephonyManager, TelephonyInterface As Object
    TelephonyManager = r.RunMethod2("getSystemService", "phone", "java.lang.String")
    r.Target = TelephonyManager
    TelephonyInterface = r.RunMethod("getITelephony")
    r.Target = TelephonyInterface
    r.RunMethod("endCall")
	
End Sub
	






	